/*!
 * vue-coe-highlight v0.0.2
 * (c) 2018-present Vinicius Azevedo <viniazvd@gmail.com>
 * Released under the MIT License.
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Prism = _interopDefault(require('prismjs'));
require('prismjs/themes/prism.css');

var VueCoeHighLight = {
  functional: true,
  props: {
    code: String
  },

  render: function render(h, ref) {
    var props = ref.props;
    var children = ref.children;

    var code = children && !!children.length && children[0].text;

    if (!props.code && !code) {
      console.warn('code is required!');
      return false;
    }

    return h('pre', [h('code', {
      class: "language-markup",
      domProps: {
        innerHTML: Prism.highlight(props.code || code, Prism.languages['markup'])
      }
    })]);
  }

};
var VueCoeImage = {
  install: function install(Vue) {
    Vue.component('VueCoeHighLight', VueCoeHighLight);
  }

};

exports.default = VueCoeHighLight;
exports.VueCoeImage = VueCoeImage;
