/*!
 * vue-coe-highlight v0.0.2
 * (c) 2018-present Vinicius Azevedo <viniazvd@gmail.com>
 * Released under the MIT License.
 */
import Prism from 'prismjs';
import 'prismjs/themes/prism.css';

var VueCoeHighLight = {
  functional: true,
  props: {
    code: String
  },

  render: function render(h, ref) {
    var props = ref.props;
    var children = ref.children;

    var code = children && !!children.length && children[0].text;

    if (!props.code && !code) {
      console.warn('code is required!');
      return false;
    }

    return h('pre', [h('code', {
      class: "language-markup",
      domProps: {
        innerHTML: Prism.highlight(props.code || code, Prism.languages['markup'])
      }
    })]);
  }

};
var VueCoeImage = {
  install: function install(Vue) {
    Vue.component('VueCoeHighLight', VueCoeHighLight);
  }

};

export default VueCoeHighLight;
export { VueCoeImage };
